Features

Manage funding widget improvements

  • On the add payment method screen, we have added a spinner to provide a cleaner experience. When the user clicks Add to add a new payment method, they now see a smoother transition to the adding funding screen.
  • On the bank account details screen, we no longer provide information about the default payment method. In addition, users can no longer set a bank account as the default payment method.
  • We received feedback that when a user deletes an existing bank account, BILL provides an unhelpful status for the deleted bank account. We now provide the correct bank account status of Deleted.

User verification widget improvements

  • At the end of the user verification flow, we have added a spinner to provide a cleaner experience. This improvement disables the ability to re-submit the verification form. In addition, we have added a spinner to ensure that Google Places is available for the user when they are using the address field.
  • On the bank account details screen, we learned that the user verification banner would intermittently appear when the user is adding a new funding method. We have fixed this styling issue.

Onboarding widget improvements

When the user bank account is added with the Plaid flow, we have improved the transition from the onboarding widget to the user verification widget.

MFA widget improvements

On the 2-step verification screen, we have ensured that the radio buttons follow the chosen color theme.

Miscellaneous

We learned that the focus state on buttons is cut off on certain screens. We have now fixed this styling issue.

Features in the next release

  • Usability improvements in the Onboarding, MFA, and Convert to ePay widgets
  • Miscellaneous performance improvements

We have introduced a set of API endpoints for new bank account user operations. You can now nominate and archive bank account users.

When you nominate a bank account user, BILL sends the user an email asking them to sign in to the BILL web app and complete identity verification. After the verification is successful, the bank account user can pay with the specified bank account.

When you archive a bank account user, the user loses the ability to pay with the specified bank account.

OperationAPI endpoint
Nominate a bank account userPOST v3/funding-accounts/banks/users/nominate
Archive a bank account userPOST v3/funding-accounts/banks/users/{bankAccountUserId}/archive

We have added new API endpoints for general ledger classification bulk operations.

Departments

OperationAPI endpoint
Create multiple departmentsPOST /v3/classifications/departments/bulk
Update multiple departmentsPATCH /v3/classifications/departments/bulk
Archive multiple departmentsPOST /v3/classifications/departments/bulk/archive
Restore multiple departmentsPOST /v3/classifications/departments/bulk/restore

Jobs

OperationAPI endpoint
Create multiple jobsPOST /v3/classifications/jobs/bulk
Update multiple jobsPATCH /v3/classifications/jobs/bulk
Archive multiple jobsPOST /v3/classifications/jobs/bulk/archive
Restore multiple jobsPOST /v3/classifications/jobs/bulk/restore

Locations

OperationAPI endpoint
Create multiple locationsPOST /v3/classifications/locations/bulk
Update multiple locationsPATCH /v3/classifications/locations/bulk
Archive multiple locationsPOST /v3/classifications/locations/bulk/archive
Restore multiple locationsPOST /v3/classifications/locations/bulk/restore

We have added new API endpoints for general ledger classification bulk operations.

Accounting classes

OperationAPI endpoint
Create multiple accounting classesPOST /v3/classifications/accounting-classes/bulk
Update multiple accounting classesPATCH /v3/classifications/accounting-classes/bulk
Archive multiple accounting classesPOST /v3/classifications/accounting-classes/bulk/archive
Restore multiple accounting classesPOST /v3/classifications/accounting-classes/bulk/restore

Employees

OperationAPI endpoint
Create multiple employeesPOST /v3/classifications/employees/bulk
Update multiple employeesPATCH /v3/classifications/employees/bulk
Archive multiple employeesPOST /v3/classifications/employees/bulk/archive
Restore multiple employeesPOST /v3/classifications/employees/bulk/restore

We have added the capability for adding general ledger classifications to different BILL operations.

Invoices

When you create or update an invoice, you can now set your choice of general ledger classifications values (Accounting class, department, job, or location). In addition, you can set classifications at the line item level (Chart of accounts, accounting class, department, job, location, or item).

See /v3/invoices in the API reference for more information.

Bills

When you create or update an invoice, you can now set your choice of general ledger classifications values (Chart of accounts, accounting class, department, location, or item). In addition, you can set classifications at the line item level.

See /v3/bills in the API reference for more information.

Recurring bills

When you create or update a recurring bill, you can now set set classifications at the line item level.

See /v3/recurringbills in the API reference for more information.

Organization bank accounts

When you create or update a bank account, you can now set the chartOfAccountId field as the BILL-generated ID of the chart of accounts for the bank account.

See /v3/funding-accounts/banks in the API reference for more information.

We have added the capability for adding a chart of accounts to your bill and invoices.

  • Bills: When you create or update a bill, you can now set the payFromChartOfAccountId field as the BILL-generated ID of the chart of accounts for the bill payment.
  • Invoices: When you create or update an invoice, you can now set the payToChartOfAccountId field as the BILL-generated ID of the chart of accounts for the invoice payment.

We have added more API endpoints for general ledger classifications. These endpoints enable you to better maintain a General Ledger (GL) for bookkeeping and financial reporting.

Chart of accounts

Chart of accounts objects are lists of categories you use to classify and distinguish financial assets, liabilities, and transactions in your general ledger (GL).

OperationAPI endpoint
Create a chart of accountsPOST /v3/classifications/chart-of-accounts
Get list of chart of accountsGET /v3/classifications/chart-of-accounts
Get class of accounts detailsGET /v3/classifications/chart-of-accounts/{id}
Update a class of accountsPATCH /v3/classifications/chart-of-accounts/{id}
Archive a chart of accountsPOST /v3/classifications/chart-of-accounts/{id}/archive
Restore an archived chart of accountsPOST /v3/classifications/chart-of-accounts/{id}/restore

In addition, we have added list operations for the other categories.

OperationAPI endpoint
Get list of account classesGET /v3/classifications/accounting-classes
Get list of departmentsGET /v3/classifications/departments
Get list of employeesGET /v3/classifications/employees
Get list of itemsGET /v3/classifications/items
Get list of jobsGET /v3/classifications/jobs
Get list of locationsGET /v3/classifications/locations

BILL now maintains a 90-day event history for each subscription. You can get the list of event notifications sent to you for a subscription with GET /v3/events/subscription/{subscription_id}. You can now get the list of events for the last 90 days.